summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Heinz Wiesinger <pprkut@liwjatan.at>2011-07-04 09:23:19 -0300
committer Niels Horn <niels.horn@slackbuilds.org>2011-07-04 09:23:19 -0300
commit389b97623af77572a0de8f02c8f9ec894f624c75 (patch)
treed64d61fe487af14a7f04a7c49ecd13f9cff95287 /system
parent05bf91800dc14126170b42bd89ab2f726534cb06 (diff)
downloadslackbuilds-389b97623af77572a0de8f02c8f9ec894f624c75.tar.gz
slackbuilds-389b97623af77572a0de8f02c8f9ec894f624c75.tar.xz
system/innotop: Added (MySQL / InnoDB monitor application)
Diffstat (limited to 'system')
-rw-r--r--system/innotop/README8
-rw-r--r--system/innotop/innotop-1.8.0-test.patch21
-rw-r--r--system/innotop/innotop.SlackBuild72
-rw-r--r--system/innotop/innotop.info10
-rw-r--r--system/innotop/slack-desc19
5 files changed, 130 insertions, 0 deletions
diff --git a/system/innotop/README b/system/innotop/README
new file mode 100644
index 0000000000..e1ed33045a
--- /dev/null
+++ b/system/innotop/README
@@ -0,0 +1,8 @@
+MySQL and InnoDB transaction/status monitor. Like 'top' for MySQL.
+
+Displays queries, InnoDB transactions, lock waits, deadlocks, foreign key
+errors, open tables, replication status, buffer information, row
+operations, logs, I/O operations, load graph, and more.
+You can monitor many servers at once with innotop.
+
+This requires perl-TermReadKey.
diff --git a/system/innotop/innotop-1.8.0-test.patch b/system/innotop/innotop-1.8.0-test.patch
new file mode 100644
index 0000000000..faf3cfaa49
--- /dev/null
+++ b/system/innotop/innotop-1.8.0-test.patch
@@ -0,0 +1,21 @@
+diff -Naur innotop-1.8.0-orig/t/InnoDBParser.t innotop-1.8.0/t/InnoDBParser.t
+--- innotop-1.8.0-orig/t/InnoDBParser.t 2010-11-06 17:32:11.000000000 +0200
++++ innotop-1.8.0/t/InnoDBParser.t 2010-12-09 15:22:01.000000000 +0200
+@@ -5,7 +5,7 @@
+ use Test::More tests => 1;
+ use Data::Dumper;
+
+-require "../innotop";
++require "innotop";
+ my $innodb_parser = new InnoDBParser;
+
+ sub read_file {
+@@ -18,7 +18,7 @@
+ }
+
+ my %tests = (
+- 'innodb-status-001' => {
++ 't/innodb-status-001' => {
+ IB_bp_add_pool_alloc => '0',
+ IB_bp_awe_mem_alloc => 0,
+ IB_bp_buf_free => '8172',
diff --git a/system/innotop/innotop.SlackBuild b/system/innotop/innotop.SlackBuild
new file mode 100644
index 0000000000..14c2067fb1
--- /dev/null
+++ b/system/innotop/innotop.SlackBuild
@@ -0,0 +1,72 @@
+#!/bin/sh
+
+# Slackware build script for innotop
+
+# Copyright 2010 Heinz Wiesinger, Amsterdam, The Netherlands
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=innotop
+VERSION=1.8.0
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH="noarch"
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+patch -p1 -i $CWD/innotop-1.8.0-test.patch
+
+perl Makefile.PL INSTALLDIRS=vendor
+make
+make test
+make install DESTDIR=$PKG
+
+#Move man-pages to appropriate place
+mv $PKG/usr/share/man $PKG/usr/
+
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
+find $PKG -depth -type d -empty -exec rm -rf {} \;
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a Changelog COPYING INSTALL MANIFEST \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/innotop/innotop.info b/system/innotop/innotop.info
new file mode 100644
index 0000000000..ee67988915
--- /dev/null
+++ b/system/innotop/innotop.info
@@ -0,0 +1,10 @@
+PRGNAM="innotop"
+VERSION="1.8.0"
+HOMEPAGE="http://code.google.com/p/innotop/"
+DOWNLOAD="http://innotop.googlecode.com/files/innotop-1.8.0.tar.gz"
+MD5SUM="703ba1036bc1067650b558eecc3c15cd"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Heinz Wiesinger"
+EMAIL="pprkut@liwjatan.at"
+APPROVED="Niels Horn"
diff --git a/system/innotop/slack-desc b/system/innotop/slack-desc
new file mode 100644
index 0000000000..e5fbf5ef71
--- /dev/null
+++ b/system/innotop/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+innotop: innotop (MySQL / InnoDB monitor application)
+innotop:
+innotop: MySQL and InnoDB transaction/status monitor. Like 'top' for MySQL.
+innotop: Displays queries, InnoDB transactions, lock waits, deadlocks, foreign
+innotop: key errors, open tables, replication status, buffer information, row
+innotop: operations, logs, I/O operations, load graph, and more.
+innotop: You can monitor many servers at once with innotop.
+innotop:
+innotop: Homepage: http://code.google.com/p/innotop/
+innotop:
+innotop: